curl --request GET \
--url https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"content": "Please review the second paragraph for accuracy.",
"createdAt": "2025-06-15T10:30:00Z",
"createdBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastUpdatedAt": "2025-06-15T14:20:00Z",
"resolved": false,
"lastContentUpdatedAt": "2025-06-15T14:20:00Z",
"lastContentUpdatedBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastSolver": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastResolvedAt": "2025-06-16T09:00:00Z"
}
]{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Get article comments
Returns all comments for a specific article.
Required scope: Enable one of: knowledge-base:read, knowledge-base:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/knowledge-base/1/articles/{articleId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"content": "Please review the second paragraph for accuracy.",
"createdAt": "2025-06-15T10:30:00Z",
"createdBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastUpdatedAt": "2025-06-15T14:20:00Z",
"resolved": false,
"lastContentUpdatedAt": "2025-06-15T14:20:00Z",
"lastContentUpdatedBy": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastSolver": {
"encryptUserId": "a1b2c3d4e5f6",
"firstName": "John",
"lastName": "Doe"
},
"lastResolvedAt": "2025-06-16T09:00:00Z"
}
]{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E404",
"description": "Not found - request URL doesn't exist on the API server or resource is not found.",
"action": "Check the resources and adjust your request.",
"violations": [],
"resources": []
}{
"errorCode": "E429",
"description": "Too many requests sent.",
"action": "Check request rate limit specified in the API endpoint documentation resource.",
"violations": [],
"resources": [
{
"name": "Throttling handling errors",
"url": "https://www.phonovation.com/docs/essentials/integration-best-practices#throttling-handling-errors"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Unique identifier of the article.
Response
Comments returned successfully
Unique identifier of the comment.
"7c9e6679-7425-40de-944b-e07fc1f90ae7"
Content of the comment.
"Please review the second paragraph for accuracy."
Timestamp of when the comment was created.
"2025-06-15T10:30:00Z"
User who uploaded the file.
Show child attributes
Show child attributes
Timestamp of when the comment was last updated.
"2025-06-15T14:20:00Z"
Whether the comment is resolved.
false
Timestamp of when the comment content was last updated.
"2025-06-15T14:20:00Z"
User who uploaded the file.
Show child attributes
Show child attributes
User who uploaded the file.
Show child attributes
Show child attributes
Timestamp of when the comment was last resolved or unresolved.
"2025-06-16T09:00:00Z"